cURL
curl --request GET \
--url 'https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC' \
--header 'Authorization: ApiKey <key>'import requests
url = "https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC"
headers = {"Authorization": "ApiKey <key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'ApiKey <key>'}};
fetch('https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "ApiKey <key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC")
.header("Authorization", "ApiKey <key>")
.asString();{
"price_now": 83410,
"price_change_1h": 0.42,
"price_change_24h": 2.17,
"volume_24h": 1791000000,
"exchanges": [
{
"slug": "binance",
"name": "Binance",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/630.png"
},
{
"slug": "coinbasepro",
"name": "Coinbase Pro",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/89.png"
}
]
}Market data
Get header price, volume and exchange coverage
Compact price, 24-hour volume and exchange coverage for an asset. The one-hour price change compares the latest minute’s median TWAP with the first minute’s average TWAP. The 24-hour change compares that latest price with the first hour’s average TWAP. Optional end times default to the current minute and hour, respectively.
GET
/
v2
/
metrics
/
header-summary
/
cURL
curl --request GET \
--url 'https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC' \
--header 'Authorization: ApiKey <key>'import requests
url = "https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC"
headers = {"Authorization": "ApiKey <key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'ApiKey <key>'}};
fetch('https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "ApiKey <key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glassmarkets.io/v2/metrics/header-summary/?asset=BTC")
.header("Authorization", "ApiKey <key>")
.asString();{
"price_now": 83410,
"price_change_1h": 0.42,
"price_change_24h": 2.17,
"volume_24h": 1791000000,
"exchanges": [
{
"slug": "binance",
"name": "Binance",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/630.png"
},
{
"slug": "coinbasepro",
"name": "Coinbase Pro",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/89.png"
}
]
}Authorizations
metricsApiKeyAuthtokenAuth
Scoped API key with required prefix "ApiKey ". Available scopes: metrics:read and reported_metrics:write.
Query Parameters
Required string length:
1 - 100Example:
"BTC"

